OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ClearTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBClearTexture :: MonadIO m => m Bool
- gl_ARB_clear_texture :: Bool
- pattern GL_CLEAR_TEXTURE :: GLenum
- glClearTexImage :: MonadIO m => GLuint -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glClearTexSubImage :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()

# Extension Support

glGetARBClearTexture :: MonadIO m => m Bool Source #

Is the ARB_clear_texture extension supported?

gl_ARB_clear_texture :: Bool Source #

Is the ARB_clear_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBClearTexture` in those cases instead.

# Enums

pattern GL_CLEAR_TEXTURE :: GLenum Source #

# Functions

glClearTexImage Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.

glClearTexSubImage Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.